OAuth Verification
curl --request POST \
--url https://portal-api.magna.so/api/v2/{portalId}/submission/oauth/{provider}/verify \
--header 'Content-Type: application/json' \
--data '
{
"authorizationCode": "<string>",
"state": "<string>",
"codeVerifier": "<string>"
}
'import requests
url = "https://portal-api.magna.so/api/v2/{portalId}/submission/oauth/{provider}/verify"
payload = {
"authorizationCode": "<string>",
"state": "<string>",
"codeVerifier": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({authorizationCode: '<string>', state: '<string>', codeVerifier: '<string>'})
};
fetch('https://portal-api.magna.so/api/v2/{portalId}/submission/oauth/{provider}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"value": "<string>",
"isEligible": true,
"description": "<string>"
}
}{
"errors": [
{
"path": "query.wallet",
"message": "Required"
}
]
}{
"error": "internal server error"
}Submission
OAuth Verification
Verifies the OAuth flow for a given provider to associate with an airdrop participant.
POST
/
api
/
v2
/
{portalId}
/
submission
/
oauth
/
{provider}
/
verify
OAuth Verification
Path Parameters
unique portal id (provided by Magna)
OAuth provider
Body
application/json
Body
Response
200
Show child attributes
Show child attributes
⌘I